> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# User Login

> Handles user login.



## OpenAPI

````yaml post /login
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /login:
    post:
      tags:
        - User
      summary: User Login
      description: Handles user login.
      operationId: 76126a33c18c5825058ca1cc06b3d5c0
      requestBody:
        description: Login credentials
        required: true
        content:
          application/json:
            schema:
              required:
                - email
                - password
              properties:
                email:
                  type: string
                  format: email
                password:
                  type: string
                  format: password
              type: object
      responses:
        '200':
          description: Login successful
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                  client_status:
                    type: string
                  organization:
                    type: string
                  website:
                    type: string
                  token:
                    type: string
                  org_created_at:
                    type: string
                  last_payment_date:
                    type: string
                  last_payment_amount:
                    type: string
                  monthly_payment:
                    type: string
                  user:
                    type: object
                  plan:
                    type: string
                  permissions:
                    type: object
                type: object
        '401':
          description: Invalid Credentials or incomplete registration
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  status:
                    type: string
                    example: error
                type: object
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                type: object

````